%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.3
%global pypi_name bleach-allowlist

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        1.0.3
Release:        3.0.3%{?dist}
Summary:        Curated lists of tags and attributes for sanitizing html

License:        BSD License
URL:            https://github.com/yourcelf/bleach-allowlist.git
Source0:        https://files.pythonhosted.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        LICENSE.txt
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
cp %SOURCE1 .
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/bleach_allowlist
%{python3_sitelib}/bleach_allowlist-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Jul 18 2024 Craig Guiller <craig.guiller@oracle.com> - 1.0.3-3.0.3
- Rebuild for python 3.11

* Thu Apr 20 2023 Qing Lin <qing.lin@oracle.com> - 1.0.3-3.0.2
- Add LICENSE file

* Mon Jan 30 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 1.0.3-3.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 1.0.3-3
- Build against python 3.9

* Mon Sep 06 2021 Evgeni Golov - 1.0.3-2
- Build against Python 3.8

* Mon Feb 22 2021 Evgeni Golov - 1.0.3-1
- Release python-bleach-allowlist 1.0.3

* Mon Aug 10 2020 Evgeni Golov 0.0.11-1
- Update to 0.0.11

* Tue Jun 23 2020 Evgeni Golov - 0.0.10-1
- Initial package.
